Subject: bug#23812: 25.0.95; Minor glitch in dired listing due to non English host language

From: Drew Adams <[email-masked]>
Date: Tue, 15 Dec 2020 08:56:10 -0800 (PST)

> > There's been a bit of discussion over the years about that summary line
> > in Dired, but I'm not sure whether anybody came to any conclusions.  I
> > guess we do not want to run "ls" under the C locale?  That would make
> > all the lines be in English, including the dates...
> 
> IMHO, it should be simply removed, it carries so little information,
> especially nowadays.

I disagree.
Of course, it could be made optional.

And the argument that it carries little info isn't
an argument for showing no info.  It's an argument
for showing more or better info.
___

And yes, the info can be improved.

In my case (Dired+, files+.el), it shows this, for
any listing:

 z:/path/to/some/subdir:
 files 157/1659 space used 34111 available 101612836

`files 157/1659' shows the # of files currently
shown (visible) in the current subdir listing (157),
compared to the # of files in the main dir (1659).

And that `files 157/1659' is a link/button.
Mouseover tells you:

 Files shown / total in directory [RET, mouse-1: more info]

And clicking or RET shows you complete info about
that subdir.  E.g.:

z:/path/to/some/subdir
----------------------

File Type:                  Directory
Permissions:                drwxrwxrwx
Time of last access:        Wed Jul 25 08:26:24 2018 (Pacific Daylight Time)
Time of last modification:  Wed Jul 25 08:26:24 2018 (Pacific Daylight Time)
Time of last status change: Wed Jul 25 08:26:16 2018 (Pacific Daylight Time)
Number of links:            1
User ID (UID):              37686
Group ID (GID):             513
Inode:                      281464976926869
Device number:              315264003

Similarly, "space used 34111 available 101612836" is
a link/button.  Mouseover tells you:

 Kbytes used in directory, Kbytes available on disk

And the same info (see above) is shown when you click
or use RET.
___

And let's not forget that when Dired details are
hidden (`('), the line isn't shown at all.  (IMO,
details should be hidden, not shown, by default.)